Uncaught Error When Installing Tools From Toolshed

classic Classic list List threaded Threaded
3 messages Options
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Uncaught Error When Installing Tools From Toolshed

Van Der Pol William

Hello All,

 

I have recently cloned and installed a clean version of Galaxy. I installed a tool from the toolshed and Galaxy says it is properly installed, however when I try to open the tool in the main page all I see is an “Uncaught Error” message. Does anyone have any ideas on what is causing this or at least how I can get a more telling error message?

 

Thanks

-Liam


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Uncaught Error When Installing Tools From Toolshed

Thomas

Hi everybody,

 

is there something new about this? We have the same problem since we installed the latest galaxy release after some time last week. Our local integrated tools and the tools from the galaxy distribution itself work fine, but all toolshed tools are producing this strange error.

 

I tested some things about this, e.g. we have 3 different tool configs in our instance (own_tool_conf.xml, tool_conf.xml, shed_tool_conf.xml), so I thought it could be related to the shed_tool_conf.xml and I checked it, with installing a tool to one of the other files, but the error persists.

 

But I figured out, that the error only appears when the entry for the tool looks like this:

 

...

 

<tool file="toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/c1ec08cb34f9/bowtie2/bowtie2_wrapper.xml" guid="toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/bowtie2/0.3">

      <tool_shed>toolshed.g2.bx.psu.edu</tool_shed>

        <repository_name>bowtie2</repository_name>

        <repository_owner>devteam</repository_owner>

        <installed_changeset_revision>c1ec08cb34f9</installed_changeset_revision>

        <id>toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/bowtie2/0.3</id>

        <version>0.3</version>

    </tool>

...

 

Changing it to this:

 

...

 

  <tool file="toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/c1ec08cb34f9/bowtie2/bowtie2_wrapper.xml">

    </tool>

...

 

solves the problem.

 

Maybe someone could figure out why, any hint would be welcome.

 

Thanks in advance, Thomas

 

 

 

Von: galaxy-dev [mailto:[hidden email]] Im Auftrag von William, Van Der Pol
Gesendet: Donnerstag, 25. Mai 2017 23:42
An: [hidden email]
Betreff: [galaxy-dev] Uncaught Error When Installing Tools From Toolshed

 

Hello All,

 

I have recently cloned and installed a clean version of Galaxy. I installed a tool from the toolshed and Galaxy says it is properly installed, however when I try to open the tool in the main page all I see is an “Uncaught Error” message. Does anyone have any ideas on what is causing this or at least how I can get a more telling error message?

 

Thanks

-Liam


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Uncaught Error When Installing Tools From Toolshed

Adrià Cereto i Massagué
I had the same issue.

Thanks to Marius van den Beek's help we figured out it was due to a known bug and, since I was running from master instead of the release branch, although it had been fixed, the fix hadn't been backported to the master branch yet.

So changing branch:

git checkout release_17.05

And restarting Galaxy fixed the issue.

Adrià Cereto i Massagué

Centre de Ciències Òmiques (COS)

Unitat Mixta URV-Eurecat

Av. Universitat, 1. 
43204 Reus (Catalonia) 
Tel: <a href="tel:%2B34%20977%2077%2014%2009" value="+34977771409" style="color:rgb(17,85,204)" target="_blank">+34 977 77 53 31
Extensió URV: 4841

Languages: Català, Castellano, English, Deutsch, Français, Português

2017-06-07 13:59 GMT+02:00 Berner, Thomas <[hidden email]>:

Hi everybody,

 

is there something new about this? We have the same problem since we installed the latest galaxy release after some time last week. Our local integrated tools and the tools from the galaxy distribution itself work fine, but all toolshed tools are producing this strange error.

 

I tested some things about this, e.g. we have 3 different tool configs in our instance (own_tool_conf.xml, tool_conf.xml, shed_tool_conf.xml), so I thought it could be related to the shed_tool_conf.xml and I checked it, with installing a tool to one of the other files, but the error persists.

 

But I figured out, that the error only appears when the entry for the tool looks like this:

 

...

 

<tool file="toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/c1ec08cb34f9/bowtie2/bowtie2_wrapper.xml" guid="toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/bowtie2/0.3">

      <tool_shed>toolshed.g2.bx.psu.edu</tool_shed>

        <repository_name>bowtie2</repository_name>

        <repository_owner>devteam</repository_owner>

        <installed_changeset_revision>c1ec08cb34f9</installed_changeset_revision>

        <id>toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/bowtie2/0.3</id>

        <version>0.3</version>

    </tool>

...

 

Changing it to this:

 

...

 

  <tool file="toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/c1ec08cb34f9/bowtie2/bowtie2_wrapper.xml">

    </tool>

...

 

solves the problem.

 

Maybe someone could figure out why, any hint would be welcome.

 

Thanks in advance, Thomas

 

 

 

Von: galaxy-dev [mailto:[hidden email]] Im Auftrag von William, Van Der Pol
Gesendet: Donnerstag, 25. Mai 2017 23:42
An: [hidden email]
Betreff: [galaxy-dev] Uncaught Error When Installing Tools From Toolshed

 

Hello All,

 

I have recently cloned and installed a clean version of Galaxy. I installed a tool from the toolshed and Galaxy says it is properly installed, however when I try to open the tool in the main page all I see is an “Uncaught Error” message. Does anyone have any ideas on what is causing this or at least how I can get a more telling error message?

 

Thanks

-Liam


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
Loading...